Uploaded image for project: 'CDAP'
  1. CDAP
  2. CDAP-16060

Validation fails for plugins that only extend cdap-data-streams

    Details

    • Type: Improvement
    • Status: Open
    • Priority: Major
    • Resolution: Unresolved
    • Affects Version/s: None
    • Fix Version/s: 6.3.0
    • Component/s: Pipelines
    • Rank:
      1|i00s8n:

      Description

      Validating a plugin fails if that plugin only has cdap-data-streams as a parent and not cdap-data-pipeline. This is because the validation service uses the cdap-data-pipeline artifact.

      Not sure how to best solve this, but in the meantime, all pipeline plugins will have to have cdap-data-pipeline as a parent.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                vinisha Vinisha Shah
                Reporter:
                ashau Albert Shau
              • Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated: